package com.mortals.xhx.module.monitor.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.monitor.model.MonitorAlarmRecordEntity;
/**
* 监测预警记录详细记录查询对象
*
* @author zxfei
* @date 2023-04-15
*/
public class MonitorAlarmRecordQuery extends MonitorAlarmRecordEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 告警Id */
    private Long alarmIdStart;

    /** 结束 告警Id */
    private Long alarmIdEnd;

    /** 增加 告警Id */
    private Long alarmIdIncrement;

    /** 告警Id列表 */
    private List <Long> alarmIdList;

    /** 告警Id排除列表 */
    private List <Long> alarmIdNotList;

    /** 预约业务 */
    private List<String> reservationServiceList;

    /** 预约业务排除列表 */
    private List <String> reservationServiceNotList;
    /** 预约编号 */
    private List<String> reservationNumberList;

    /** 预约编号排除列表 */
    private List <String> reservationNumberNotList;
    /** 开始 监测时间 */
    private String monitorTimeStart;

    /** 结束 监测时间 */
    private String monitorTimeEnd;

    /** 开始 监测设备 */
    private Long monitorDeviceIdStart;

    /** 结束 监测设备 */
    private Long monitorDeviceIdEnd;

    /** 增加 监测设备 */
    private Long monitorDeviceIdIncrement;

    /** 监测设备列表 */
    private List <Long> monitorDeviceIdList;

    /** 监测设备排除列表 */
    private List <Long> monitorDeviceIdNotList;

    /** 监测设备名称 */
    private List<String> monitorDeviceList;

    /** 监测设备名称排除列表 */
    private List <String> monitorDeviceNotList;
    /** 开始 签到方式(0.自动签到，1.手动签到) */
    private Integer checkInMethodStart;

    /** 结束 签到方式(0.自动签到，1.手动签到) */
    private Integer checkInMethodEnd;

    /** 增加 签到方式(0.自动签到，1.手动签到) */
    private Integer checkInMethodIncrement;

    /** 签到方式(0.自动签到，1.手动签到)列表 */
    private List <Integer> checkInMethodList;

    /** 签到方式(0.自动签到，1.手动签到)排除列表 */
    private List <Integer> checkInMethodNotList;

    /** 监测凭证 */
    private List<String> monitorCertificateList;

    /** 监测凭证排除列表 */
    private List <String> monitorCertificateNotList;
    /** 相对图片pic */
    private List<String> picUriList;

    /** 相对图片pic排除列表 */
    private List <String> picUriNotList;
    /** 图片资源唯一标识 */
    private List<String> serverIndexCodeList;

    /** 图片资源唯一标识排除列表 */
    private List <String> serverIndexCodeNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人id排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人id */
    private Long updateUserIdStart;

    /** 结束 更新人id */
    private Long updateUserIdEnd;

    /** 增加 更新人id */
    private Long updateUserIdIncrement;

    /** 更新人id列表 */
    private List <Long> updateUserIdList;

    /** 更新人id排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MonitorAlarmRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MonitorAlarmRecordQuery> andConditionList;

    public MonitorAlarmRecordQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 告警Id
    * @return alarmIdStart
    */
    public Long getAlarmIdStart(){
        return this.alarmIdStart;
    }

    /**
    * 设置 开始 告警Id
    * @param alarmIdStart
    */
    public void setAlarmIdStart(Long alarmIdStart){
        this.alarmIdStart = alarmIdStart;
    }

    /**
    * 获取 结束 告警Id
    * @return $alarmIdEnd
    */
    public Long getAlarmIdEnd(){
        return this.alarmIdEnd;
    }

    /**
    * 设置 结束 告警Id
    * @param alarmIdEnd
    */
    public void setAlarmIdEnd(Long alarmIdEnd){
        this.alarmIdEnd = alarmIdEnd;
    }

    /**
    * 获取 增加 告警Id
    * @return alarmIdIncrement
    */
    public Long getAlarmIdIncrement(){
        return this.alarmIdIncrement;
    }

    /**
    * 设置 增加 告警Id
    * @param alarmIdIncrement
    */
    public void setAlarmIdIncrement(Long alarmIdIncrement){
        this.alarmIdIncrement = alarmIdIncrement;
    }

    /**
    * 获取 告警Id
    * @return alarmIdList
    */
    public List<Long> getAlarmIdList(){
        return this.alarmIdList;
    }

    /**
    * 设置 告警Id
    * @param alarmIdList
    */
    public void setAlarmIdList(List<Long> alarmIdList){
        this.alarmIdList = alarmIdList;
    }

    /**
    * 获取 告警Id
    * @return alarmIdNotList
    */
    public List<Long> getAlarmIdNotList(){
        return this.alarmIdNotList;
    }

    /**
    * 设置 告警Id
    * @param alarmIdNotList
    */
    public void setAlarmIdNotList(List<Long> alarmIdNotList){
        this.alarmIdNotList = alarmIdNotList;
    }


    /**
    * 获取 预约业务
    * @return reservationServiceList
    */
    public List<String> getReservationServiceList(){
        return this.reservationServiceList;
    }

    /**
    * 设置 预约业务
    * @param reservationServiceList
    */
    public void setReservationServiceList(List<String> reservationServiceList){
        this.reservationServiceList = reservationServiceList;
    }

    /**
    * 获取 预约业务
    * @return reservationServiceNotList
    */
    public List<String> getReservationServiceNotList(){
        return this.reservationServiceNotList;
    }

    /**
    * 设置 预约业务
    * @param reservationServiceNotList
    */
    public void setReservationServiceNotList(List<String> reservationServiceNotList){
        this.reservationServiceNotList = reservationServiceNotList;
    }

    /**
    * 获取 预约编号
    * @return reservationNumberList
    */
    public List<String> getReservationNumberList(){
        return this.reservationNumberList;
    }

    /**
    * 设置 预约编号
    * @param reservationNumberList
    */
    public void setReservationNumberList(List<String> reservationNumberList){
        this.reservationNumberList = reservationNumberList;
    }

    /**
    * 获取 预约编号
    * @return reservationNumberNotList
    */
    public List<String> getReservationNumberNotList(){
        return this.reservationNumberNotList;
    }

    /**
    * 设置 预约编号
    * @param reservationNumberNotList
    */
    public void setReservationNumberNotList(List<String> reservationNumberNotList){
        this.reservationNumberNotList = reservationNumberNotList;
    }

    /**
    * 获取 开始 监测时间
    * @return monitorTimeStart
    */
    public String getMonitorTimeStart(){
        return this.monitorTimeStart;
    }

    /**
    * 设置 开始 监测时间
    * @param monitorTimeStart
    */
    public void setMonitorTimeStart(String monitorTimeStart){
        this.monitorTimeStart = monitorTimeStart;
    }

    /**
    * 获取 结束 监测时间
    * @return monitorTimeEnd
    */
    public String getMonitorTimeEnd(){
        return this.monitorTimeEnd;
    }

    /**
    * 设置 结束 监测时间
    * @param monitorTimeEnd
    */
    public void setMonitorTimeEnd(String monitorTimeEnd){
        this.monitorTimeEnd = monitorTimeEnd;
    }

    /**
    * 获取 开始 监测设备
    * @return monitorDeviceIdStart
    */
    public Long getMonitorDeviceIdStart(){
        return this.monitorDeviceIdStart;
    }

    /**
    * 设置 开始 监测设备
    * @param monitorDeviceIdStart
    */
    public void setMonitorDeviceIdStart(Long monitorDeviceIdStart){
        this.monitorDeviceIdStart = monitorDeviceIdStart;
    }

    /**
    * 获取 结束 监测设备
    * @return $monitorDeviceIdEnd
    */
    public Long getMonitorDeviceIdEnd(){
        return this.monitorDeviceIdEnd;
    }

    /**
    * 设置 结束 监测设备
    * @param monitorDeviceIdEnd
    */
    public void setMonitorDeviceIdEnd(Long monitorDeviceIdEnd){
        this.monitorDeviceIdEnd = monitorDeviceIdEnd;
    }

    /**
    * 获取 增加 监测设备
    * @return monitorDeviceIdIncrement
    */
    public Long getMonitorDeviceIdIncrement(){
        return this.monitorDeviceIdIncrement;
    }

    /**
    * 设置 增加 监测设备
    * @param monitorDeviceIdIncrement
    */
    public void setMonitorDeviceIdIncrement(Long monitorDeviceIdIncrement){
        this.monitorDeviceIdIncrement = monitorDeviceIdIncrement;
    }

    /**
    * 获取 监测设备
    * @return monitorDeviceIdList
    */
    public List<Long> getMonitorDeviceIdList(){
        return this.monitorDeviceIdList;
    }

    /**
    * 设置 监测设备
    * @param monitorDeviceIdList
    */
    public void setMonitorDeviceIdList(List<Long> monitorDeviceIdList){
        this.monitorDeviceIdList = monitorDeviceIdList;
    }

    /**
    * 获取 监测设备
    * @return monitorDeviceIdNotList
    */
    public List<Long> getMonitorDeviceIdNotList(){
        return this.monitorDeviceIdNotList;
    }

    /**
    * 设置 监测设备
    * @param monitorDeviceIdNotList
    */
    public void setMonitorDeviceIdNotList(List<Long> monitorDeviceIdNotList){
        this.monitorDeviceIdNotList = monitorDeviceIdNotList;
    }


    /**
    * 获取 监测设备名称
    * @return monitorDeviceList
    */
    public List<String> getMonitorDeviceList(){
        return this.monitorDeviceList;
    }

    /**
    * 设置 监测设备名称
    * @param monitorDeviceList
    */
    public void setMonitorDeviceList(List<String> monitorDeviceList){
        this.monitorDeviceList = monitorDeviceList;
    }

    /**
    * 获取 监测设备名称
    * @return monitorDeviceNotList
    */
    public List<String> getMonitorDeviceNotList(){
        return this.monitorDeviceNotList;
    }

    /**
    * 设置 监测设备名称
    * @param monitorDeviceNotList
    */
    public void setMonitorDeviceNotList(List<String> monitorDeviceNotList){
        this.monitorDeviceNotList = monitorDeviceNotList;
    }

    /**
    * 获取 开始 签到方式(0.自动签到，1.手动签到)
    * @return checkInMethodStart
    */
    public Integer getCheckInMethodStart(){
        return this.checkInMethodStart;
    }

    /**
    * 设置 开始 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodStart
    */
    public void setCheckInMethodStart(Integer checkInMethodStart){
        this.checkInMethodStart = checkInMethodStart;
    }

    /**
    * 获取 结束 签到方式(0.自动签到，1.手动签到)
    * @return $checkInMethodEnd
    */
    public Integer getCheckInMethodEnd(){
        return this.checkInMethodEnd;
    }

    /**
    * 设置 结束 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodEnd
    */
    public void setCheckInMethodEnd(Integer checkInMethodEnd){
        this.checkInMethodEnd = checkInMethodEnd;
    }

    /**
    * 获取 增加 签到方式(0.自动签到，1.手动签到)
    * @return checkInMethodIncrement
    */
    public Integer getCheckInMethodIncrement(){
        return this.checkInMethodIncrement;
    }

    /**
    * 设置 增加 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodIncrement
    */
    public void setCheckInMethodIncrement(Integer checkInMethodIncrement){
        this.checkInMethodIncrement = checkInMethodIncrement;
    }

    /**
    * 获取 签到方式(0.自动签到，1.手动签到)
    * @return checkInMethodList
    */
    public List<Integer> getCheckInMethodList(){
        return this.checkInMethodList;
    }

    /**
    * 设置 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodList
    */
    public void setCheckInMethodList(List<Integer> checkInMethodList){
        this.checkInMethodList = checkInMethodList;
    }

    /**
    * 获取 签到方式(0.自动签到，1.手动签到)
    * @return checkInMethodNotList
    */
    public List<Integer> getCheckInMethodNotList(){
        return this.checkInMethodNotList;
    }

    /**
    * 设置 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodNotList
    */
    public void setCheckInMethodNotList(List<Integer> checkInMethodNotList){
        this.checkInMethodNotList = checkInMethodNotList;
    }


    /**
    * 获取 监测凭证
    * @return monitorCertificateList
    */
    public List<String> getMonitorCertificateList(){
        return this.monitorCertificateList;
    }

    /**
    * 设置 监测凭证
    * @param monitorCertificateList
    */
    public void setMonitorCertificateList(List<String> monitorCertificateList){
        this.monitorCertificateList = monitorCertificateList;
    }

    /**
    * 获取 监测凭证
    * @return monitorCertificateNotList
    */
    public List<String> getMonitorCertificateNotList(){
        return this.monitorCertificateNotList;
    }

    /**
    * 设置 监测凭证
    * @param monitorCertificateNotList
    */
    public void setMonitorCertificateNotList(List<String> monitorCertificateNotList){
        this.monitorCertificateNotList = monitorCertificateNotList;
    }

    /**
    * 获取 相对图片pic
    * @return picUriList
    */
    public List<String> getPicUriList(){
        return this.picUriList;
    }

    /**
    * 设置 相对图片pic
    * @param picUriList
    */
    public void setPicUriList(List<String> picUriList){
        this.picUriList = picUriList;
    }

    /**
    * 获取 相对图片pic
    * @return picUriNotList
    */
    public List<String> getPicUriNotList(){
        return this.picUriNotList;
    }

    /**
    * 设置 相对图片pic
    * @param picUriNotList
    */
    public void setPicUriNotList(List<String> picUriNotList){
        this.picUriNotList = picUriNotList;
    }

    /**
    * 获取 图片资源唯一标识
    * @return serverIndexCodeList
    */
    public List<String> getServerIndexCodeList(){
        return this.serverIndexCodeList;
    }

    /**
    * 设置 图片资源唯一标识
    * @param serverIndexCodeList
    */
    public void setServerIndexCodeList(List<String> serverIndexCodeList){
        this.serverIndexCodeList = serverIndexCodeList;
    }

    /**
    * 获取 图片资源唯一标识
    * @return serverIndexCodeNotList
    */
    public List<String> getServerIndexCodeNotList(){
        return this.serverIndexCodeNotList;
    }

    /**
    * 设置 图片资源唯一标识
    * @param serverIndexCodeNotList
    */
    public void setServerIndexCodeNotList(List<String> serverIndexCodeNotList){
        this.serverIndexCodeNotList = serverIndexCodeNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人id
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人id
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人id
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人id
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人id
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人id
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人id
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人id
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public MonitorAlarmRecordQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public MonitorAlarmRecordQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public MonitorAlarmRecordQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public MonitorAlarmRecordQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public MonitorAlarmRecordQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public MonitorAlarmRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  告警Id
    * @param alarmId
    */
    public MonitorAlarmRecordQuery alarmId(Long alarmId){
	    setAlarmId(alarmId);
		return this;
    }
	
	 /**
    * 设置 开始 告警Id
    * @param alarmIdStart
    */
    public MonitorAlarmRecordQuery alarmIdStart(Long alarmIdStart){
		this.alarmIdStart = alarmIdStart;
		return this;
    }

    /**
    * 设置 结束 告警Id
    * @param alarmIdEnd
    */
    public MonitorAlarmRecordQuery alarmIdEnd(Long alarmIdEnd){
		this.alarmIdEnd = alarmIdEnd;
		return this;
    }

    /**
    * 设置 增加 告警Id
    * @param alarmIdIncrement
    */
    public MonitorAlarmRecordQuery alarmIdIncrement(Long alarmIdIncrement){
		this.alarmIdIncrement = alarmIdIncrement;
		return this;
    }

    /**
    * 设置 告警Id
    * @param alarmIdList
    */
    public MonitorAlarmRecordQuery alarmIdList(List<Long> alarmIdList){
        this.alarmIdList = alarmIdList;
		return this;
        }

        /**
        * 设置 告警Id
        * @param alarmIdNotList
        */
        public MonitorAlarmRecordQuery alarmIdNotList(List<Long> alarmIdNotList){
        this.alarmIdNotList = alarmIdNotList;
        return this;
        }


	/**
    * 设置 预约业务
    * @param reservationService
    */
    public MonitorAlarmRecordQuery reservationService(String reservationService){
        setReservationService(reservationService);
		return this;
    }

    /**
    * 设置 预约业务
    * @param reservationServiceList
    */
    public MonitorAlarmRecordQuery reservationServiceList(List<String> reservationServiceList){
        this.reservationServiceList = reservationServiceList;
		return this;
    }


	/**
    * 设置 预约编号
    * @param reservationNumber
    */
    public MonitorAlarmRecordQuery reservationNumber(String reservationNumber){
        setReservationNumber(reservationNumber);
		return this;
    }

    /**
    * 设置 预约编号
    * @param reservationNumberList
    */
    public MonitorAlarmRecordQuery reservationNumberList(List<String> reservationNumberList){
        this.reservationNumberList = reservationNumberList;
		return this;
    }


    /**
    * 设置  监测设备
    * @param monitorDeviceId
    */
    public MonitorAlarmRecordQuery monitorDeviceId(Long monitorDeviceId){
	    setMonitorDeviceId(monitorDeviceId);
		return this;
    }
	
	 /**
    * 设置 开始 监测设备
    * @param monitorDeviceIdStart
    */
    public MonitorAlarmRecordQuery monitorDeviceIdStart(Long monitorDeviceIdStart){
		this.monitorDeviceIdStart = monitorDeviceIdStart;
		return this;
    }

    /**
    * 设置 结束 监测设备
    * @param monitorDeviceIdEnd
    */
    public MonitorAlarmRecordQuery monitorDeviceIdEnd(Long monitorDeviceIdEnd){
		this.monitorDeviceIdEnd = monitorDeviceIdEnd;
		return this;
    }

    /**
    * 设置 增加 监测设备
    * @param monitorDeviceIdIncrement
    */
    public MonitorAlarmRecordQuery monitorDeviceIdIncrement(Long monitorDeviceIdIncrement){
		this.monitorDeviceIdIncrement = monitorDeviceIdIncrement;
		return this;
    }

    /**
    * 设置 监测设备
    * @param monitorDeviceIdList
    */
    public MonitorAlarmRecordQuery monitorDeviceIdList(List<Long> monitorDeviceIdList){
        this.monitorDeviceIdList = monitorDeviceIdList;
		return this;
        }

        /**
        * 设置 监测设备
        * @param monitorDeviceIdNotList
        */
        public MonitorAlarmRecordQuery monitorDeviceIdNotList(List<Long> monitorDeviceIdNotList){
        this.monitorDeviceIdNotList = monitorDeviceIdNotList;
        return this;
        }


	/**
    * 设置 监测设备名称
    * @param monitorDevice
    */
    public MonitorAlarmRecordQuery monitorDevice(String monitorDevice){
        setMonitorDevice(monitorDevice);
		return this;
    }

    /**
    * 设置 监测设备名称
    * @param monitorDeviceList
    */
    public MonitorAlarmRecordQuery monitorDeviceList(List<String> monitorDeviceList){
        this.monitorDeviceList = monitorDeviceList;
		return this;
    }

    /**
    * 设置  签到方式(0.自动签到，1.手动签到)
    * @param checkInMethod
    */
    public MonitorAlarmRecordQuery checkInMethod(Integer checkInMethod){
	    setCheckInMethod(checkInMethod);
		return this;
    }
	
	 /**
    * 设置 开始 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodStart
    */
    public MonitorAlarmRecordQuery checkInMethodStart(Integer checkInMethodStart){
		this.checkInMethodStart = checkInMethodStart;
		return this;
    }

    /**
    * 设置 结束 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodEnd
    */
    public MonitorAlarmRecordQuery checkInMethodEnd(Integer checkInMethodEnd){
		this.checkInMethodEnd = checkInMethodEnd;
		return this;
    }

    /**
    * 设置 增加 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodIncrement
    */
    public MonitorAlarmRecordQuery checkInMethodIncrement(Integer checkInMethodIncrement){
		this.checkInMethodIncrement = checkInMethodIncrement;
		return this;
    }

    /**
    * 设置 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodList
    */
    public MonitorAlarmRecordQuery checkInMethodList(List<Integer> checkInMethodList){
        this.checkInMethodList = checkInMethodList;
		return this;
        }

        /**
        * 设置 签到方式(0.自动签到，1.手动签到)
        * @param checkInMethodNotList
        */
        public MonitorAlarmRecordQuery checkInMethodNotList(List<Integer> checkInMethodNotList){
        this.checkInMethodNotList = checkInMethodNotList;
        return this;
        }


	/**
    * 设置 监测凭证
    * @param monitorCertificate
    */
    public MonitorAlarmRecordQuery monitorCertificate(String monitorCertificate){
        setMonitorCertificate(monitorCertificate);
		return this;
    }

    /**
    * 设置 监测凭证
    * @param monitorCertificateList
    */
    public MonitorAlarmRecordQuery monitorCertificateList(List<String> monitorCertificateList){
        this.monitorCertificateList = monitorCertificateList;
		return this;
    }


	/**
    * 设置 相对图片pic
    * @param picUri
    */
    public MonitorAlarmRecordQuery picUri(String picUri){
        setPicUri(picUri);
		return this;
    }

    /**
    * 设置 相对图片pic
    * @param picUriList
    */
    public MonitorAlarmRecordQuery picUriList(List<String> picUriList){
        this.picUriList = picUriList;
		return this;
    }


	/**
    * 设置 图片资源唯一标识
    * @param serverIndexCode
    */
    public MonitorAlarmRecordQuery serverIndexCode(String serverIndexCode){
        setServerIndexCode(serverIndexCode);
		return this;
    }

    /**
    * 设置 图片资源唯一标识
    * @param serverIndexCodeList
    */
    public MonitorAlarmRecordQuery serverIndexCodeList(List<String> serverIndexCodeList){
        this.serverIndexCodeList = serverIndexCodeList;
		return this;
    }


    /**
    * 设置  创建人id
    * @param createUserId
    */
    public MonitorAlarmRecordQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public MonitorAlarmRecordQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public MonitorAlarmRecordQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public MonitorAlarmRecordQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public MonitorAlarmRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人id
        * @param createUserIdNotList
        */
        public MonitorAlarmRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人id
    * @param updateUserId
    */
    public MonitorAlarmRecordQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public MonitorAlarmRecordQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public MonitorAlarmRecordQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public MonitorAlarmRecordQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public MonitorAlarmRecordQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人id
        * @param updateUserIdNotList
        */
        public MonitorAlarmRecordQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MonitorAlarmRecordQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MonitorAlarmRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MonitorAlarmRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MonitorAlarmRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}